Skip to main content

Wire Transactions

Overview

You can create WIRE transactions via POST /v1/customer/id/{placeholder}/transaction.
The examples below demonstrate common send and collect scenarios.

Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/transaction

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/transaction
Scenarios Covered

• Send — Ahrvo → External Account (pre-existing)
• Send — Ahrvo → External Account (one-time)
• Send — Ahrvo → External Account (Tax Payment)
• Collect — External Account → Ahrvo


Send — Ahrvo → External Account (pre-existing)

POST /banking/us2/v1/customer/id/{placeholder}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"source": {
"account": { "id": 9917283 }
},
"destination": {
"externalAccount": { "id": 4024469 }
},
"processingDetail": {
"payor": {
"name": "Alex",
"address": {
"state": "CA",
"addressLine1": "abcd",
"city": "citty",
"zip": "93124",
"country": "US"
}
},
"memo": "test",
"location": { "id": 2061 }
},
"method": "WIRE",
"type": "REGULAR",
"amount": "31",
"allowDuplicate": true,
"purpose": "test"
}

Send — Ahrvo → External Account (one-time)

POST /banking/us2/v1/customer/id/{placeholder}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"amount": "5.00",
"type": "REGULAR",
"method": "WIRE",
"purpose": "payment",
"source": {
"account": { "id": 9917283 }
},
"destination": {
"externalAccount": {
"holderName": "Lola",
"holderPhone": "999-999-7878",
"holderAddress": {
"addressLine1": "999",
"addressLine2": "GT1 KMB",
"city": "Arizona",
"state": "CA",
"zip": "12345"
},
"accountNumber": "345643232309",
"holderType": "CORPORATE",
"routingNumber": "011000015",
"wireRoutingNumber": "011000015",
"type": "SAVINGS"
}
},
"processingDetail": {
"payor": {
"name": "Alex",
"address": {
"state": "CA",
"addressLine1": "abcd",
"city": "citty",
"zip": "93124",
"country": "US"
}
}
}
}

Send — Ahrvo → External Account (Tax Payment)

POST /banking/us2/v1/customer/id/{placeholder}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"amount": "2101.00",
"type": "REGULAR",
"method": "WIRE",
"purpose": "payment",
"isTaxPayment": "false",
"source": {
"account": { "id": 4034561 }
},
"destination": {
"externalAccount": {
"holderName": "US TREAS SINGLE TX",
"accountNumber": "345643232309",
"holderType": "CORPORATE",
"routingNumber": "011000015",
"type": "SAVINGS"
}
},
"amountDetails": {
"taxAmount": "2000",
"interestAmount": "51",
"penaltyAmount": "50"
},
"processingDetail": {
"taxDetail": {
"taxAuthority": "IRS",
"tin": "123456732",
"taxpayerName": "ABC ORG",
"taxpayerNameControl": "ABCG",
"taxType": "09404",
"taxYear": "24",
"taxMonth": "12"
}
}
}

Collect — External Account → Ahrvo

POST /banking/us2/v1/customer/id/{placeholder}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
  "allowDuplicate": true,
"purpose": "priority payroll"
}

OpenAPI Specification